unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, StdCtrls,
  LCLTranslator, Translations;//,lclstrconsts;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    FLang : string;
  public

  end;

var
  Form1: TForm1;

resourcestring
  rsTitel = 'Deutsche Ausgabe';
  rsText  = 'deutsch';
implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
var fn: String;
begin
  FLang :='en';
  SetDefaultLang(FLang);

  fn := Application.Location + 'locale/lclstrconsts.%s.po';
  Translations.TranslateUnitResourceStrings('LCLStrConsts', Format(fn, [Flang]));
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  MessageDlg(rsTitel, rsText, mtInformation, [mbOk, mbCancel, MbYes], 0);

end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  MessageDlg(rsTitel,rsText, mtConfirmation, [mbyes, mbno, mbcancel], 0);
end;

end.

